/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interfaces.h"


namespace morpheo              {
namespace behavioural          {

#ifdef VHDL
#undef  FUNCTION
#define FUNCTION "Interfaces::set_port"
  void Interfaces::set_port (Vhdl * & vhdl)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    if (not _list_interface->empty())
      {
	list<Interface_fifo*>::iterator i     = _list_interface->begin();
	
	while (i != _list_interface->end())
	  {
	    (*i)->set_port (vhdl);
	    ++i;
	  }
      }
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
#endif

}; // end namespace behavioural          
}; // end namespace morpheo              
